import React, { useEffect, useState } from 'react';
import ReactDOM from 'react-dom';

// Import the functions you need from the SDKs you need
import { initializeApp } from "firebase/app";
import { getDatabase, ref, onValue, set } from "firebase/database";

// TODO: Add SDKs for Firebase products that you want to use
// https://firebase.google.com/docs/web/setup#available-libraries

// Your web app's Firebase configuration
const firebaseConfig = {
  apiKey: "AIzaSyCk4wgNIILyW8wioRX8VmHXSLa5NbNA6EQ",
  authDomain: "fir-demo-97275.firebaseapp.com",
  projectId: "fir-demo-97275",
  storageBucket: "fir-demo-97275.appspot.com",
  messagingSenderId: "1085858165092",
  appId: "1:1085858165092:web:67405c21c77d09ab6e4a71"
};

// Initialize Firebase
initializeApp(firebaseConfig);
const db = getDatabase();

function Example() {
  // Declare a new state variable, which we'll call "count"
  const [count, setCount] = useState(0);

  useEffect(() => {
    const db_ref = ref(db, '/count');
    onValue(db_ref, (snapshot) => {
      setCount(snapshot.val());
    })
  })

  const updateCount = () => {
    const db_ref = ref(db, '/count');
    set(db_ref, count + 1);
  }

  return (
    <div>
      <p>You clicked {count} times</p>
      <button onClick={updateCount}>
        Click me
      </button>
    </div>
  );
}

ReactDOM.render(
  <Example />,
  document.getElementById('root')
);

